public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-auth/pam_require/
Date: Sat, 24 Jun 2023 01:18:19 +0000 (UTC)	[thread overview]
Message-ID: <1687569138.73fd54a7c7e6391e18d29c1a19266d174ad78f85.sam@gentoo> (raw)

commit:     73fd54a7c7e6391e18d29c1a19266d174ad78f85
Author:     Joakim Tjernlund <Joakim.Tjernlund <AT> infinera <DOT> com>
AuthorDate: Sat Jun 17 11:09:27 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 24 01:12:18 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73fd54a7

sys-auth/pam_require: autoreconf to fix modern C issue

Closes: https://bugs.gentoo.org/908581
Signed-off-by: Joakim Tjernlund <Joakim.Tjernlund <AT> infinera.com>
Closes: https://github.com/gentoo/gentoo/pull/31505
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-auth/pam_require/pam_require-0.7-r2.ebuild | 31 ++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/sys-auth/pam_require/pam_require-0.7-r2.ebuild b/sys-auth/pam_require/pam_require-0.7-r2.ebuild
new file mode 100644
index 000000000000..a4080fccef30
--- /dev/null
+++ b/sys-auth/pam_require/pam_require-0.7-r2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools pam
+
+DESCRIPTION="Allows you to require a special group or user to access a service"
+HOMEPAGE="https://www.splitbrain.org/projects/pam_require"
+SRC_URI="https://www.splitbrain.org/_media/projects/pamrequire/${P}.tgz"
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+DEPEND="sys-libs/pam"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${P/_/-}
+
+src_prepare() {
+	default
+	mv ${S}/configure.in ${S}/configure.ac || die "mv configure.in to configure.ac"
+	eautoreconf || die "autoreconf"
+}
+
+src_install() {
+	dopammod pam_require.so
+
+	einstalldocs
+}


             reply	other threads:[~2023-06-24  1:18 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-24  1:18 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-27 14:18 [gentoo-commits] repo/gentoo:master commit in: sys-auth/pam_require/ Florian Schmaus
2023-09-22 20:25 Sam James
2023-06-24  1:18 Sam James
2019-11-06 14:35 Joonas Niilola
2019-11-06 14:35 Joonas Niilola
2019-11-06 14:35 Joonas Niilola
2019-10-12 21:29 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687569138.73fd54a7c7e6391e18d29c1a19266d174ad78f85.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox